classification
Title: OpenBSD buildbot uses wrong stdlib
Type: behavior Stage: resolved
Components: Tests Versions: Python 2.7
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: Nosy List: erlendaasland, serhiy.storchaka
Priority: normal Keywords:

Created on 2015-02-16 08:18 by serhiy.storchaka, last changed 2021-04-06 02:17 by ned.deily. This issue is now closed.

Messages (2)
msg236094 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2015-02-16 08:18
Looks as OpenBSD buildbot imports xml.sax.saxutils from wrong place.

http://buildbot.python.org/all/builders/x86%20OpenBSD%205.5%202.7/builds/511/steps/test/logs/stdio

======================================================================
ERROR: test_xmlgen_encoding_bytes (test.test_sax.StringXmlgenTest)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/home/python-builds/2.7.borja-openbsd-x86/build/Lib/test/test_sax.py", line 297, in test_xmlgen_encoding_bytes
    gen.characters(u"\u20ac".encode(encoding))
  File "/usr/local/lib/python2.7/site-packages/_xmlplus/sax/saxutils.py", line 309, in characters
    writetext(self._out, content)
  File "/usr/local/lib/python2.7/site-packages/_xmlplus/sax/saxutils.py", line 188, in writetext
    stream.write(escape(text, entities))
  File "/home/python-builds/2.7.borja-openbsd-x86/build/Lib/codecs.py", line 357, in write
    data, consumed = self.encode(object, self.errors)
  File "/home/python-builds/2.7.borja-openbsd-x86/build/Lib/encodings/iso8859_15.py", line 12, in encode
    return codecs.charmap_encode(input,errors,encoding_table)
UnicodeDecodeError: 'ascii' codec can't decode byte 0xa4 in position 0: ordinal not in range(128)

saxutils.py is imported from /usr/local/lib/python2.7/ instead of the build directory. The error that causes UnicodeDecodeError was fixed in issue17606.

May be other test failures have the same cause.
msg390261 - (view) Author: Erlend E. Aasland (erlendaasland) * (Python triager) Date: 2021-04-05 21:09
Is the OpenBSD buildbot still active? If no, this issue can be closed.

(I can't find the OpenBSD buildbot on https://buildbot.python.org/all/#/)
History
Date User Action Args
2021-04-06 02:17:33ned.deilysetstatus: open -> closed
resolution: out of date
stage: resolved
2021-04-05 21:09:31erlendaaslandsetnosy: + erlendaasland
messages: + msg390261
2015-02-16 08:18:36serhiy.storchakacreate